﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Drawing;
using System.IO;
using System.Drawing.Imaging;

public class MyHandlerAjax : IHttpHandler
{
  

    #region IHttpHandler Members

    bool IHttpHandler.IsReusable
    {
        get { return true; }
    }

    void IHttpHandler.ProcessRequest(HttpContext context)
    {
        HttpRequest Request = context.Request;
        HttpResponse Response = context.Response;
        string s = string.Empty;
        s = Request.QueryString.Get(0);
        if (!string.IsNullOrEmpty(s))
        {
            if (s == "1")
            {
                s = AppDomain.CurrentDomain.BaseDirectory + (@"myImage.jpg");
            }
            else
            {
                s = AppDomain.CurrentDomain.BaseDirectory + (@"myImage1.jpg");
            }
        }
        else
        {
            s = AppDomain.CurrentDomain.BaseDirectory + (@"myImage.jpg");
            //return;
        }
        using (MemoryStream memorystream = new MemoryStream())
        {
            Bitmap bitmap = null;
            try
            {
                bitmap = new Bitmap(s);
                //Передаем в массив в формате Png
                bitmap.Save(memorystream, ImageFormat.Png);
                byte[] b = memorystream.GetBuffer();
                //В каком формате будем возвращать картинку
                Response.ContentType = "image/png";
                //Возвращаем картинку
                Response.BinaryWrite(b);
                bitmap.Dispose();
            }
            catch (Exception)
            {
                Response.Write("Ошибка");
            }
            memorystream.Dispose();
        }
    }

    #endregion
}